curl --request PATCH \
--url https://api.interchange.io/api/v2/buyer/readiness/operator \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operatorDomain": "northstar.media"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/readiness/operator"
payload = { "operatorDomain": "northstar.media" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({operatorDomain: 'northstar.media'})
};
fetch('https://api.interchange.io/api/v2/buyer/readiness/operator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 4503599627370495,
"operatorDomain": "<string>",
"operatorScope": "whole_operator",
"operatorUnitId": "<string>",
"scopeConfirmedAt": "2023-11-07T05:31:56Z",
"lockedAt": "2023-11-07T05:31:56Z",
"verified": true,
"source": "user_confirmed",
"confirmedAt": "2023-11-07T05:31:56Z"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Update buyer operator domain
Confirm or change the authenticated buyer account’s commercial operator domain without changing its WorkOS organization. Requires ADMIN role on the current account.
curl --request PATCH \
--url https://api.interchange.io/api/v2/buyer/readiness/operator \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operatorDomain": "northstar.media"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/readiness/operator"
payload = { "operatorDomain": "northstar.media" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({operatorDomain: 'northstar.media'})
};
fetch('https://api.interchange.io/api/v2/buyer/readiness/operator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 4503599627370495,
"operatorDomain": "<string>",
"operatorScope": "whole_operator",
"operatorUnitId": "<string>",
"scopeConfirmedAt": "2023-11-07T05:31:56Z",
"lockedAt": "2023-11-07T05:31:56Z",
"verified": true,
"source": "user_confirmed",
"confirmedAt": "2023-11-07T05:31:56Z"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
Confirm or change the authenticated buyer account's commercial operator domain.
Corporate domain of the organization operating this buyer account.
255^[a-z0-9]([a-z0-9-]*[a-z0-9])?(\.[a-z0-9]([a-z0-9-]*[a-z0-9])?)+$"northstar.media"
Whether this account represents the whole operator or one specific operating unit. Required for a confirmed AdCP 3.2 identity; omitted only by legacy clients.
whole_operator, specific_unit "specific_unit"
Stable operator-issued identifier for the office, team, region, or seat. It is seller-visible and is not an Interchange database ID.
1 - 255^[A-Za-z0-9][A-Za-z0-9._:/-]*$"east-coast"
Response
Update buyer operator domain
Confirmed buyer-account operator identity. Authentication organization membership is unchanged.
0 < x <= 9007199254740991whole_operator, specific_unit ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$user_confirmed ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$